using System;
class HelloWorld {
  static void Main() {
    string[] s1 = Console.ReadLine().Split(' ');
    int n = int.Parse(s1[0]);
    int l = int.Parse(s1[1]);
    int[] h = new int[n];
    int br=0;
    string[] s2 = Console.ReadLine().Split(' ');
    for(int i = 0; i<n; i++){
        h[i]=int.Parse(s2[i]);
        if(h[i]<=l){
            Console.WriteLine(i+1);
            break;
        }
        else{
            br++;
        }
    }
    if(br==n){
        Console.WriteLine("-1");
    }
    Console.ReadLine();
  }
}